<!DOCTYPE html>
<html lang="es">
  <head>
    <meta charset="UTF-8">
    <title>Ejercicio-3</title>
  </head>
  <body>
    <script>
      let pedidos = [
        {
          id: 1,
          fecha: "2022-03-22",
          cliente: "Juan Pérez",
          total: 250.99,
          detalle: [
            { producto: "Camiseta", cantidad: 2, precioUnitario: 25.99 },
            { producto: "Pantalón", cantidad: 1, precioUnitario: 35.99 },
            { producto: "Zapatos", cantidad: 1, precioUnitario: 65.99 }
          ]
        },
        {
          id: 2,
          fecha: "2022-03-23",
          cliente: "María Gómez",
          total: 135.98,
          detalle: [
            { producto: "Gorra", cantidad: 2, precioUnitario: 15.99 },
            { producto: "Bolso", cantidad: 1, precioUnitario: 89.99 }
          ]
        },
        // Agregar más elementos según sea necesario
      ];

      pedidos.map((pedido) => {
        document.write("<h3>Pedido #" + pedido.id + "</h3>");
        document.write("<p>Fecha: " + pedido.fecha + "</p>");
        document.write("<p>Cliente: " + pedido.cliente + "</p>");
        document.write("<p>Total: " + pedido.total + "</p>");
        document.write("<ul>");
        pedido.detalle.map((item) => {
          document.write("<li>Producto: " + item.producto + "</li>");
          document.write("<li>Cantidad: " + item.cantidad + "</li>");
          document.write("<li>Precio unitario: " + item.precioUnitario + "</li>");
        });
        document.write("</ul>");
      });
    </script>
  </body>
</html>
